package org.dromara.settlement.common.bank.minsheng;

import com.alibaba.fastjson.JSONObject;
import org.dom4j.Element;

public class MinShengResponse {
	private String reqid;
	private String resultcode;
	private String resultmsg;
	private JSONObject data;

	private String transCode;     // 交易码
	private String reqSeq;        // 请求方流水号
	private String respSeq;       // 响应方流水号
	private String merchantNum;   //客户识别号
	private String txTime;        // 账务交易时间
	private String respDate;    // 交易日期
	private String respTime;      // 响应时间
	private String respStatus;    // 响应结果状态
	private String respCode;      // 响应错误码
	private String respDesc;      // 响应错误信息
	private String charset;       // 参数编码字符集
	private String remark;        // 备注
	private String reserve;       // 备用字段
	private String reserve2;      // 原样返回
	private String sgntr;         // 签名

	public String getResultcode() {
		return resultcode;
	}

	public void setResultcode(String resultcode) {
		this.resultcode = resultcode;
	}

	public String getReqSeq() {
		return reqSeq;
	}

	public void setReqSeq(String reqSeq) {
		this.reqSeq = reqSeq;
	}

	public String getResultmsg() {
		return resultmsg;
	}

	public void setResultmsg(String resultmsg) {
		this.resultmsg = resultmsg;
	}

	public String getReqid() {
		return reqid;
	}

	public void setReqid(String reqid) {
		this.reqid = reqid;
	}

	public JSONObject getData() {
		return data;
	}

	public void setData(JSONObject data) {
		this.data = data;
	}

	public String getTransCode() {
		return transCode;
	}

	public void setTransCode(String transCode) {
		this.transCode = transCode;
	}

	public String getRespSeq() {
		return respSeq;
	}

	public void setRespSeq(String respSeq) {
		this.respSeq = respSeq;
	}

	public String getMerchantNum() {
		return merchantNum;
	}

	public void setMerchantNum(String merchantNum) {
		this.merchantNum = merchantNum;
	}

	public String getTxTime() {
		return txTime;
	}

	public void setTxTime(String txTime) {
		this.txTime = txTime;
	}

	public String getRespTime() {
		return respTime;
	}

	public void setRespTime(String respTime) {
		this.respTime = respTime;
	}

	public String getRespStatus() {
		return respStatus;
	}

	public void setRespStatus(String respStatus) {
		this.respStatus = respStatus;
	}

	public String getRespCode() {
		return respCode;
	}

	public void setRespCode(String respCode) {
		this.respCode = respCode;
	}

	public String getRespDesc() {
		return respDesc;
	}

	public void setRespDesc(String respDesc) {
		this.respDesc = respDesc;
	}

	public String getCharset() {
		return charset;
	}

	public void setCharset(String charset) {
		this.charset = charset;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getReserve() {
		return reserve;
	}

	public void setReserve(String reserve) {
		this.reserve = reserve;
	}

	public String getReserve2() {
		return reserve2;
	}

	public void setReserve2(String reserve2) {
		this.reserve2 = reserve2;
	}

	public String getSgntr() {
		return sgntr;
	}

	public void setSgntr(String sgntr) {
		this.sgntr = sgntr;
	}

	public String getRespDate() {
		return respDate;
	}

	public void setRespDate(String respDate) {
		this.respDate = respDate;
	}
}
